%Gaussian High-pass filter
f = imread('moon.tif');
PQ = paddedsize(size(f));
D0 = 0.05*PQ(1);
H = hpfilter('gaussian', PQ(1), PQ(2), D0);
g = dftfilt(f, H);
subplot(3,1,1);imshow(f,[]);
subplot(3,1,2);imshow(fftshift(H),[]);
subplot(3,1,3); imshow(g, [ ])
